Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextParserImpl Class Reference
[Parsers]

Inheritance diagram for TextParserImpl:

## Detailed Description

Implementation of TextParser interface.

This is the base Colorer syntax parser, which works with parsed internal HRC structure and colorize text in target editor system.

## Public Methods

void | setFileType (FileType *type)
void | setLineSource (LineSource *lh)
void | setRegionHandler (RegionHandler *rh)
int | parse (int from, int num)
void | breakParse ()
void | clearCache ()

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.